%def_disable static

Name: libassuan
Version: 1.0.4
Release: alt1

License: LGPL
Group: System/Libraries
Url: http://www.gnupg.org/
Summary: Assuan - an IPC library for non-persistent servers
Summary(pl):	Assuan - biblioteka IPC dla serwerw nie dziaajcych cigle

Source0: ftp://ftp.gnupg.org/gcrypt/alpha/libassuan/%name-%version.tar.bz2
Source1: version-script-assuan-%version.map
Source2: version-script-assuan-pth-%version.map


# PLD
Patch1: libassuan-info.patch
Patch2: libassuan-am18.patch
# ALT
Patch10: libassuan-1.0.1-alt-shared.patch
Patch11: libassuan-1.0.4-alt-linking.patch
Patch12: libassuan-1.0.2-alt-dont-req-new-tools.patch

# Automatically added by buildreq on Wed Oct 11 2006
BuildRequires: gcc-c++ glibc-devel libpth-devel

%package devel
Summary: Header files for assuan library
Summary(pl):	Pliki nagwkowe biblioteki assuan
Group: Development/Other
Requires: %name = %version-%release

%package devel-static
Summary: Static assuan library
Summary(pl):	Statyczna biblioteka assuan
Group: Development/Other
Requires: %name-devel = %version-%release

%description
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to make your life not too easy and separated it out to
a standalone library.

%description -l pl
To jest biblioteka komunikacji midzyprocesowej (IPC) uywana przez
GnuPG 1.9, gpgme oraz stary pakiet newpg. Bya doczana do tych
pakietw, ale autorzy zdecydowali, eby ju nie uatwia tak ycia i
wydzielili j.

%description devel
Header files for assuan library.

%description devel -l pl
Pliki nagwkowe biblioteki assuan.

%description devel-static
Static assuan library.

%description devel-static -l pl
Statyczna biblioteka assuan.


%prep
%setup -q
install -m 0644 %SOURCE1 src/version-script-assuan.map
install -m 0644 %SOURCE2 src/version-script-assuan-pth.map
%patch1 -p1
#%patch2 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

autoreconf -fisv


%build
%add_optflags %optflags_shared
%configure --enable-shared %{subst_enable static}

%make_build


%install
%make install DESTDIR=%buildroot


%post
%post_ldconfig
%postun
%postun_ldconfig


%files
%doc AUTHORS ChangeLog NEWS README
%_libdir/lib*.so.*

%files devel
%_bindir/libassuan-config
%_libdir/lib*.so
#%_libdir/lib*.la
%_includedir/*.h
%_datadir/aclocal/*.m4
%_infodir/*.info*

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif

%changelog
* Thu Dec 20 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.4-alt1
- new version
- add versioning

* Tue Jul 10 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.2-alt1
- new version

* Tue Jan 30 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0.1-alt1
- new version

* Wed Nov 01 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt1
- new version

* Wed Oct 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.9.3-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.6.10-alt1
- new version

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.7-alt1
- new version

* Mon Apr 05 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.4-alt1
- new version sync patches with PLD

* Thu Nov 27 2003 Sergey V Turchin <zerg at altlinux dot org> 0.6.1-alt2
- remove *.la

* Mon Nov 24 2003 Sergey V Turchin <zerg at altlinux dot org> 0.6.1-alt1
- new version
- fix compile with text relocations

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.6.0-alt1
- build for ALT

* Thu Aug 21 2003 PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libassuan.spec,v $
Revision 1.3  2003/08/21 08:41:47  qboosh
- epoch 1, release 2 (due to older libassuan-devel in pinentry.spec)

Revision 1.2  2003/08/11 11:03:36  qboosh
- typo in URL (probably there is no more libassuan-specific page, so use this)

Revision 1.1  2003/08/10 11:49:35  qboosh
- new - built as shared library
